(*********************************************************************)
(*  AMX Corporation                                                  *)
(*  Copyright (c) 2004-2006 AMX Corporation. All rights reserved.    *)
(*********************************************************************)
(* Copyright Notice :                                                *)
(* Copyright, AMX, Inc., 2004-2007                                   *)
(*    Private, proprietary information, the sole property of AMX.    *)
(*    The contents, ideas, and concepts expressed herein are not to  *)
(*    be disclosed except within the confines of a confidential      *)
(*    relationship and only then on a need to know basis.            *)
(*********************************************************************)
PROGRAM_NAME = 'AMXRadia_Main' 
(***********************************************************)
(* System Type : NetLinx                                   *)
(* Creation Date: 3/27/2007 3:11:26 PM                    *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

dvTPMain        = 10001:1:0 // This should be the touch panel's main port

vdvLightSystem  = 41001:1:0  // The COMM module should use this as its duet device
dvLightSystem   = 96:1:0     // This device should be used as the physical device by the COMM module
dvLightSystemTp = 10001:27:0 // This port should match the assigned touch panel device port

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT


// ----------------------------------------------------------
// ----------------------------------------------------------
// User must fill in these values
VOLATILE CHAR sLightAddress[20][20] = 
{
    '96:D1',
    '96:D2',
    '96:D3',
    '96:D4',
    '96:D5',
    '96:D6',
    '97:D1',
    '97:D2',
    '97:D3',
    '97:D4',
    '97:D5',
    '97:D6',
    '96:P1',
    '96:P2',
    '96:P3',
    '96:P4',
    '97:P1',
    '97:P2',
    '97:P3',
    '97:P4'
}


(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

DEV vdvDev[] = {vdvLightSystem}

// ----------------------------------------------------------
// CURRENT DEVICE NUMBER ON TP NAVIGATION BAR
INTEGER nLightSystem = 1

// ----------------------------------------------------------
// DEFINE THE PAGES THAT YOUR COMPONENTS ARE USING IN THE 
// SUB NAVIGATION BAR HERE
INTEGER nLightSystemPages[] = { 1 }
INTEGER nModulePages[] = { 3 }


(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START


// ----------------------------------------------------------
// DEVICE MODULE GROUPS SHOULD ALL HAVE THE SAME DEVICE NUMBER
DEFINE_MODULE 'AMXRadia_UI' lightsystem(vdvDev, dvLightSystemTp, dvTPMain, nLightSystem, nLightSystemPages,  sLightAddress)
DEFINE_MODULE 'ModuleComponent' module(vdvDev, dvLightSystemTp, dvTPMain, nLightSystem, nModulePages)


// Define your communications module here like so:
 DEFINE_MODULE 'AMX_Radia_Comm_dr1_0_0' comm(vdvLightSystem, dvLightSystem)

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)

