<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="layout.xsl" />
	<xsl:output method="html" media-type="text/xml" indent="yes" />

	<!--=============================-->
	<!--====== Global variables =====-->
	<!--=============================-->
	<!-- Override these variables    -->
	<!-- in the Layout stylesheet.   -->
	<!--=============================-->
	<xsl:variable name="securePage" select="true()" />
	<xsl:variable name="layoutHeader" select="string('')" />
	<xsl:variable name="dynamicTitle" select="lightingComponentInformation/@title" />
	<xsl:variable name="descriptionMain"><xsl:value-of select="lightingComponentInformation/@subtitle" /></xsl:variable>
	<xsl:variable name="descriptionSub"><xsl:value-of select="lightingComponentInformation/@explanation" /></xsl:variable>
	<xsl:variable name="formName" select="string('LightingComponentPage')" />
	<xsl:variable name="showAcceptCancel" select="true()" />
	<xsl:variable name="showReboot" select="false()" />
	<xsl:variable name="cancelAction" select="concat('LightingSystemPage.xml?id=',lightingComponentInformation/@AxLink)" />
	<xsl:variable name="onload" select="string('buildSliders()')" />
	
	<!--===================-->
	<!-- Content           -->
	<!--===================-->
	<xsl:template name="content">
		<!-- CSS : Slider -->
	    <link rel="stylesheet" href="assets/styles/slider.css"  type="text/css" />
	    <script src="assets/scripts/slider.js" type="text/javascript" />
		
		<script language="JavaScript" type="text/javascript">
		
		  /**
			 * This hash (validationSet) associates IDs with a RegExp and
			 * an error message to be displayed.  The "genericValidation.js" file
			 * uses this hash table.
			 *      -Form validation (using regExp)
			 */
			var validationSet = {
			<xsl:for-each select="lightingComponentInformation/load/loadDefinition">
      			'<xsl:value-of select="@id" />_level': {
			        'regexp': /^([0]?|[1-9]|[1-9][0-9]|[1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5])$/,
			        'error': 'The level is limited to 0 - 255.'
			    }<xsl:choose>
						<xsl:when test="position() != last()">,</xsl:when>
						<xsl:when test="position() = last() and /lightingComponentInformation/preset/presetDefinition">,</xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                 </xsl:choose>
			</xsl:for-each>
			<xsl:for-each select="lightingComponentInformation/preset/presetDefinition">
      			'<xsl:value-of select="@id" />_ramp': {
			        'regexp': /^([0]?|[1-9]|[1-9][0-9]|[1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5])$/,
			        'error': 'The level is limited to 0 - 255.'
			    }
			    <xsl:if test="position() != last()">,</xsl:if>
			    
			</xsl:for-each>
			
			};
		
		  function doGet(id,label,ramp,axlink) {
		  	document.location="PresetConfigurationPage.xml?id=" + id + "&amp;label=" + label + "&amp;ramp=" + ramp + "&amp;AxLink=" + axlink;
		  }
		        
	      function buildSliders() {
	      		<xsl:for-each select="lightingComponentInformation/load/loadDefinition">
	      			<xsl:sort select="@name"/>
	
	      			// Build Slider
			        var el = document.getElementById('<xsl:value-of select="@id" />');
			        el.onDragStart = function() {
			          in_elem = document.getElementById('<xsl:value-of select="@id" />in').className = "move2ondrag";
			        }
			        el.onDrag = function() {
			          var value_elem = document.getElementById('<xsl:value-of select="@id" />_value');
			          value_elem.value = Math.round(Number(this.value));
			        };
			        el.onDragStop = function() {
			          in_elem = document.getElementById('<xsl:value-of select="@id" />in').className = "move2";
			          AJAX_changeSetting('<xsl:value-of select="@id" />');
			        }
			        form_slider(el, '100');	
	      		</xsl:for-each>
	      		
	      		<xsl:for-each select="lightingComponentInformation/preset/presetDefinition">
	      			<xsl:sort select="@name"/>
	
	      			// Build Slider
			        var el = document.getElementById('<xsl:value-of select="@id" />');
			        el.onDragStart = function() {
			          in_elem = document.getElementById('<xsl:value-of select="@id" />in').className = "move2ondrag";
			        }
			        el.onDrag = function() {
			          var value_elem = document.getElementById('<xsl:value-of select="@id" />_value');
			          value_elem.value = Math.round(Number(this.value));
			        };
			        el.onDragStop = function() {
			          in_elem = document.getElementById('<xsl:value-of select="@id" />in').className = "move2";
			          changeMonitor();
			        }
			        form_slider(el, '100');	
	      		</xsl:for-each>
	      		
	      }
      		    
      	  // AJAX call to change volume settings
	      function AJAX_changeSetting(el) {
	        var axlink = "<xsl:value-of select="lightingComponentInformation/@AxLink" />";
	        var getEl = $(el + '_value');
	        var getElValue = getEl.value;
	        var parameters = getEl.id + '=' + getElValue + "&amp;AxLink=" + axlink;
	        var url = 'LightingComponentPage.xml?'+parameters;
	        var pars = '';
	        
	        var myAjax = new Ajax.Request(
	          
	          url,
	          { 
	            method:'post', 
	            parameters: pars,
	            onFailure: showFailureOrException,
	            onException: showFailureOrException,
	            onComplete: showResponse
	          });
	          
	      }
	      
	      // If AJAX fails, sho failure message
	      function showFailureOrException() {
	        alert('Request failed. Please refresh the page and try again.');
	      }
	      
	      // Show AJAX Results, currently not needed
	      function showResponse(originalRequest) {
	        //put returned XML in the textarea
	        //alert(originalRequest.responseText);
	      }
      		    		 
      		 function showPopUp(id) {$(id+'InfoPop').style.display="block";}
      		 
      		 function presetRowInitializer() {this.value=0}
      		 presetRowInitializer.prototype.add = function() {this.value++}
			 var o = new presetRowInitializer();
      		 function objectchanger(fnc, obj) {fnc.call(obj)} // runs the method of the object being passed in
			 
			 function build_edit_url(preset_id,preset_label,preset_ramp,preset_axlink,el) {
    		 	var edit_url = "PresetConfigurationPage.xml?id=" + preset_id + "&amp;label=" + preset_label + "&amp;ramp=" + preset_ramp + "&amp;AxLink=" + preset_axlink;
    		 	$('td5Image_'+el).onclick=function(e) {document.location=edit_url};
    		 }
			 
			 function addRowSetLimit() {
			 	if (o.value > (<xsl:value-of select="lightingComponentInformation/@presetCountMax" />-2)) {
			 		$('btn_add_preset').style.display="none";
			 	}
			 }
			 
			 function addPresetRow(table_id) {
				var preset_id = "";
				var preset_label = "New Preset";
				var preset_ramp = 1;
      		 	var preset_axlink = "<xsl:value-of select="lightingComponentInformation/@AxLink" />";
      		 	
      		 	var tbody = document.getElementById(table_id).getElementsByTagName("TBODY")[0];
			    var row = document.createElement("TR");
			    (tbody.lastChild.className=="oddRow")?row.className="evenRow":row.className="oddRow";
			    objectchanger(o.add, o); //Increment number of new rows
			    
			    // Name
			    var td1 = document.createElement("TD");
			    td1.appendChild(document.createTextNode("New Preset"));
			    
			    // Info
			    var td2 = document.createElement("TD");
			    td2.align = "center"
			    td2Image = document.createElement("img");
			    td2Image.src = "assets/images/ico_info_lg_grey.gif";
			    td2Image.style.height = "35px";
			    td2Image.style.width = "34px";
			    td2.appendChild(td2Image);
			    
			    // Label
			    var td3 = document.createElement("TD");
			    td3Input = document.createElement("input");
			    td3Input.type = "text";
			    td3Input.name = "newPreset" + o.value;
			    td3Input.id = "td3_" + o.value;
			    td3Input.value = "New Preset";
			    td3Input.onfocus = function(e) {if (this.value=="New Preset")this.value=""};
			    td3Input.onblur = function(e) {if(this.value=="")this.value="New Preset"};
			    td3Input.onchange = function(e) {build_edit_url(preset_id,td3Input.value,this.value,preset_axlink,o.value)};
			    td3.appendChild(td3Input);
			    
			    // Preset time
			    var td4 = document.createElement("TD");
			    td4Input = document.createElement("input");
			    td4Input.type = "text";
			    td4Input.name = "newPresetRamp" + o.value;
			    td4Input.value = 1;
			    td4Input.id = "td4_" + o.value;
			    td4Input.size="2";
			    td4Input.onfocus = function(e) {if (this.value==0)this.value=""};
			    td4Input.onblur = function(e) {if(this.value=="")this.value=0};
			    td4Input.onchange = function(e) {build_edit_url(preset_id,td3Input.value,this.value,preset_axlink,o.value)};
			    td4.appendChild(td4Input);
			    
			    // Configure
			    var td5 = document.createElement("TD");
			    td5.align = "center"
			    td5Image = document.createElement("img");
			    td5Image.src = "assets/images/ico_options.gif";
			    td5Image.id = "td5Image_" + o.value;
			    td5Image.className="handCursor";
			    td5Image.onclick = function(e) {build_edit_url(preset_id,preset_label,preset_ramp,preset_axlink,o.value)};
			    td5.appendChild(td5Image);
			    
			    row.appendChild(td1);
			    row.appendChild(td2);
			    row.appendChild(td3);
			    row.appendChild(td4);
			    row.appendChild(td5);
			    tbody.appendChild(row);
			 }
		</script>
		
		<script src="assets/scripts/lightingComponentValidation.js" type="text/javascript" />
		<script src="assets/scripts/genericValidation.js" type="text/javascript" />
		
		<div id="floating-description-area">
			<span>
			<xsl:choose>
				<xsl:when test="lightingComponentInformation/@status = 0">
					<xsl:attribute name="style">color:#990000;</xsl:attribute>
					Offline
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="style">color:#006633;</xsl:attribute>
					Online
				</xsl:otherwise>
			</xsl:choose>
			</span>
		</div>
		
		<!-- DEVICE AREA NAME -->
		<div class="sectionContainer">
			
			<div id="st0" class="sectionHeader">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td height="19" width="100%" class="sectionHeaderText bold">
							Lighting Area Name
						</td>
					</tr>
				</table>
			</div>
			
			<div id="sb0" class="sectionWell">
					<table class="table-layout">
						<tr>
							<td width="10"><label for="deviceAreaName">Name</label></td>
							<td><input type="text" style="width:200px" name="deviceAreaName" onchange="changeMonitor();" value="{lightingComponentInformation/@device}" /></td>
						</tr>
					</table>
			</div>
			
		</div>
		
		<!-- LOADS -->
		<div class="sectionContainer">
		<xsl:choose>
		<xsl:when test="lightingComponentInformation/load/loadDefinition" >
			<xsl:attribute name="style">display:block;</xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="style">display:none;</xsl:attribute>
		</xsl:otherwise>
		</xsl:choose>	
			<div id="st1" class="sectionHeader">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td height="19" width="100%" class="sectionHeaderText bold">
							Loads
						</td>
					</tr>
				</table>
			</div>
			
			<div id="sb1" class="sectionWell">
					<table class="table-data">
						<tr>
							<th width="80%">Name</th>
							<th>Label</th>
							<th>Curve</th>
							<th>Level</th>
						</tr>
						<xsl:for-each select="lightingComponentInformation/load/loadDefinition">
						<xsl:sort select="@name"/>
						<xsl:variable name="loadCurve"><xsl:value-of select="@curve" /></xsl:variable>
						<tr>
							<xsl:choose>
								<xsl:when test="(position() mod 2 = 1)">
									<xsl:attribute name="class">oddRow</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="class">evenRow</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<td><xsl:value-of select="@name" /></td>
							<td><input type="text" name="{@id}_label" onchange="changeMonitor();" value="{@label}" /></td>
							<td>
								<select name="{@id}_curve" onchange="changeMonitor();">
									<xsl:for-each select="/lightingComponentInformation/curve/value">
										<xsl:sort select="@val" />
										<option value="{@val}">
											<xsl:if test="@val = $loadCurve">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="@val" />
										</option>
									</xsl:for-each>
								</select>
							</td>
							<td valign="top">
								<table>
									<tr>
										<td>
											<input type="text" name="{@id}_level_hidden" id="{@id}" class="slider" value="{@level}" style="visibility:hidden;" />
							                <img src="assets/images/slider_measure.gif" width="114" height="21" border="0" />
							            </td>
							            <td>
							                <input type="text" name="{@id}_level" id="{@id}_value" size="2" maxlength="3" value="{@level}" onkeyup="newValue(this.value, '{@id}')" style="margin-bottom:10px;" />
							            </td>
							         </tr>
							     </table>
              				</td>
						</tr>
						</xsl:for-each>
					</table>
			</div>
			
		</div>
		
		
		<!-- PRESETS -->
		<div class="sectionContainer">
			
			<div id="st2" class="sectionHeader">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td height="19" width="100%" class="sectionHeaderText bold">
							Presets
						</td>
					</tr>
				</table>
			</div>
			
			<div id="sb2" class="sectionWell">
				<table class="table-data" id="presetsTable">
					<tr>
						<th width="80%">Name</th>
						<th class="center">Info</th>
						<th>Label</th>
						<th>Preset Time</th>
						<th>Configure</th>
					</tr>
					<xsl:for-each select="lightingComponentInformation/preset/presetDefinition">
					<!-- xsl:sort select="@name"/-->
					<tr>
						<xsl:choose>
							<xsl:when test="(position() mod 2 = 1)">
								<xsl:attribute name="class">oddRow</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="class">evenRow</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<td><xsl:value-of select="@name" /></td>
						<td class="center">
							<img src="assets/images/ico_info_lg.gif" id="{@id}Info" width="34" height="35" class="handCursor" onclick="showPopUp('{@id}');" />
							<div style="position:relative">
							<div id="{@id}InfoPop" class="infoPop">
								<div class="infoPopHeader" style="clear:both;">
									<div style="float:left;">Information for <xsl:value-of select="@label" /> ( <xsl:value-of select="@name" /> ) </div>
									<div style="float:right;padding:0px 1px 0px 2px;border:1px solid #fff;" class="handCursor" onclick="$('{@id}InfoPop').style.display='none';">X</div>
								</div>
								<ul>
								<xsl:for-each select="loadReference">
									<li><xsl:value-of select="@label" /><xsl:if test="@device"> in <xsl:value-of select="@device" /></xsl:if><xsl:if test="@level">, Level <xsl:value-of select="@level" /></xsl:if>
									</li>
								</xsl:for-each>
								<xsl:for-each select="presetReference">
									<li><xsl:value-of select="@label" /><xsl:if test="@device"> in <xsl:value-of select="@device" /></xsl:if><xsl:if test="@level">, Level <xsl:value-of select="@level" /></xsl:if>
									</li>
								</xsl:for-each>
								</ul>
							</div>
							</div>
						</td>
						<td><input type="text" name="{@id}_label" onchange="changeMonitor();" value="{@label}" /></td>
						<td valign="top">
							<table>
								<tr>
									<td>
										<input type="text" name="{@id}_ramp_hidden" id="{@id}" class="slider" value="{@ramp}" style="visibility:hidden;" />
						                <img src="assets/images/slider_measure.gif" width="114" height="21" border="0" />
						            </td>
						            <td>
						                <input type="text" name="{@id}_ramp" id="{@id}_value" onchange="changeMonitor();" size="2" maxlength="3" value="{@ramp}" onkeyup="newValue(this.value, '{@id}')" style="margin-bottom:10px;" />
						            </td>
						         </tr>
						     </table>
             				</td>
             				<td class="center">
             					<img src="assets/images/ico_options.gif" width="19" height="24" class="handCursor">
								<xsl:attribute name="onclick">doGet("<xsl:value-of select="@id" />","<xsl:value-of select="@label" />","<xsl:value-of select="@ramp" />","<xsl:value-of select="/lightingComponentInformation/@AxLink" />");</xsl:attribute>
							</img>
             				</td>
					</tr>
					</xsl:for-each>
				</table>
				<div class="add-preset-button">
					<img src="assets/images/btn_add_preset.gif" id="btn_add_preset" onclick="addRowSetLimit();addPresetRow('presetsTable');" class="handCursor" width="96" height="19" />
				</div>
			</div>
			
		</div>
			
		<div id="spacer" style="width:25px;height:10px;"></div>
		
			<script language="JavaScript1.2">
				<![CDATA[
				// R O U N D E D    C O R N E R S
				// on the inside sections using Rico.js
				// see http://openrico.org/rico/demos.page?demo=rico_corner for options
				try {
					Rico.Corner.round('st0', {corners:"top", compact:true});
			 		Rico.Corner.round('sb0', {corners:"bottom", compact:true});
			 		Rico.Corner.round('st1', {corners:"top", compact:true});
			 		Rico.Corner.round('sb1', {corners:"bottom", compact:true});
			 		Rico.Corner.round('st2', {corners:"top", compact:true});
			 		Rico.Corner.round('sb2', {corners:"bottom", compact:true});
				} catch(e) {}
				
				]]>
			</script>
		
	</xsl:template>

</xsl:stylesheet>