<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="layout.xsl" />
	<xsl:output method="html" media-type="text/xml" indent="yes" />

	<!--=============================-->
	<!--====== Global variables =====-->
	<!--=============================-->
	<!-- Override these variables    -->
	<!-- in the Layout stylesheet.   -->
	<!--=============================-->
	<xsl:variable name="securePage" select="true()" />
	<xsl:variable name="layoutHeader" select="string('')" />
	<xsl:variable name="dynamicTitle" select="lightingSystemInformation/@title" />
	<xsl:variable name="descriptionMain"><xsl:value-of select="lightingSystemInformation/@subtitle" /></xsl:variable>
	<xsl:variable name="descriptionSub"><xsl:value-of select="lightingSystemInformation/@explanation" /></xsl:variable>
	<xsl:variable name="formName" select="string('LightingSystemPage')" />
	<xsl:variable name="showAcceptCancel" select="false()" />
	<xsl:variable name="showReboot" select="false()" />
	
	<!--===================-->
	<!-- Content           -->
	<!--===================-->
	<xsl:template name="content">
		
		<script language="JavaScript" type="text/javascript">
		<![CDATA[
		function doGet(id) {
		  document.location="LightingComponentPage.xml?id=" + id;
		}
		]]>
		</script>
		
		<div class="sectionContainer">
			<div id="s0" class="sectionWell">
				<table class="table-data">
					<tr>
						<th>Lighting Area</th>
						<th class="nowrap">AxLink Address</th>
						<th class="nowrap">Virtual Address</th>
						<th>Model</th>
						<th class="center">Status</th>
						<th class="center">Configure</th>
					</tr>
					<xsl:for-each select="lightingSystemInformation/component/componentDefinition">
						<xsl:sort select="@name"/>
						<tr>
							<xsl:choose>
								<xsl:when test="(position() mod 2 = 1)">
									<xsl:attribute name="class">oddRow</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="class">evenRow</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<td class="rowText"><xsl:value-of select="@name" /></td>
							<td class="rowText"><xsl:value-of select="@AxLink" /></td>
							<td class="rowText"><xsl:value-of select="/lightingSystemInformation/@virtual_address" /></td>
							<td class="rowText"><xsl:value-of select="@model" /></td>
							<td>
								<xsl:choose>
									<xsl:when test="@status = 0">
										<xsl:attribute name="class">rowText status-off center</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">rowText status-on center</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="@status = 0">
										Offline
									</xsl:when>
									<xsl:otherwise>
										Online
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td class="center">
								<img src="assets/images/ico_options.gif" width="19" height="24" class="handCursor">
									<xsl:attribute name="onclick">doGet('<xsl:value-of select="@id" />');</xsl:attribute>
								</img>
							</td>
						</tr>
					</xsl:for-each>
				</table>
			</div>
		</div>
			
		<div id="spacer" style="width:25px;height:10px;"></div>
		
			<script language="JavaScript1.2">
				<![CDATA[
				// R O U N D E D    C O R N E R S
				// on the inside sections using Rico.js
				// see http://openrico.org/rico/demos.page?demo=rico_corner for options
				try {
					Rico.Corner.round('s0', {compact:true});
			 	} catch(e) {}
				
				]]>
			</script>
		
	</xsl:template>

</xsl:stylesheet>