<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="layout.xsl" />
	<xsl:output method="html" media-type="text/xml" indent="yes" />

	<!--=============================-->
	<!--====== Global variables =====-->
	<!--=============================-->
	<!-- Override these variables    -->
	<!-- in the Layout stylesheet.   -->
	<!--=============================-->
	<xsl:variable name="securePage" select="true()" />
	<xsl:variable name="layoutHeader" select="string('')" />
	<xsl:variable name="dynamicTitle" select="lightingComponentInformation/@title" />
	<xsl:variable name="descriptionMain"><xsl:value-of select="lightingComponentInformation/@subtitle" /></xsl:variable>
	<xsl:variable name="descriptionSub"><xsl:value-of select="lightingComponentInformation/@explanation" /></xsl:variable>
	<xsl:variable name="formName" select="string('presetConfigurationPage')" />
	<xsl:variable name="showAcceptCancel" select="true()" />
	<xsl:variable name="showReboot" select="false()" />
	<xsl:variable name="acceptAction" select="string('grabInputValues()')" />
	<xsl:variable name="cancelAction" select="concat('LightingComponentPage.xml?id=',lightingComponentInformation/@AxLink)" />
	<xsl:variable name="onload" select="string('enableDisableRecallTweak()')" />
	
	<!--===================-->
	<!-- Content           -->
	<!--===================-->
	<xsl:template name="content">
		
	<script language="JavaScript" type="text/javascript">
	/**
	 * This hash (validationSet) associates IDs with a RegExp and
	 * an error message to be displayed.  The "genericValidation.js" file
	 * uses this hash table.
	 *      -Form validation (using regExp)
	 */
	var validationSet = {
		
	};
	<![CDATA[
		var singleSelect = true;  // Allows an item to be selected once only
		var sortSelect = true;  // Only effective if above flag set to true
		var sortPick = true;  // Will order the picklist in sort sequence
		
		// Initialise - invoked on load
		function initIt() {
		  var selectList = document.getElementById("selectList");
		  var selectOptions = selectList.options;
		  var selectIndex = selectList.selectedIndex;
		  var pickList = document.getElementById("pickList");
		  var pickOptions = pickList.options;
		  pickOptions[0] = null;  // Remove initial entry from picklist (was only used to set default width)
		  if (!(selectIndex > -1)) {
		    selectOptions[0].selected = true;  // Set first selected on load
		    selectOptions[0].defaultSelected = true;  // In case of reset/reload
		  }
		  selectList.focus();  // Set focus on the selectlist
		}
		
		// Adds a selected item into the picklist
		function addIt(act) {
		  var selectList = document.getElementById("selectList");
		  if (act=="all") {
		  	for (a=0;a < selectList.options.length; a++) {
		  		selectList.options[a].selected=true;
		  	}
		  }
		  var selectIndex = selectList.selectedIndex;
		  var selectOptions = selectList.options;
		  var pickList = document.getElementById("pickList");
		  var pickOptions = pickList.options;
		  var pickOLength = pickOptions.length;
		  changeMonitor();
		  // An item must be selected
		  while (selectIndex > -1) {
		  	pickOptions[pickOLength] = new Option(selectList[selectIndex].text);
		    pickOptions[pickOLength].value = selectList[selectIndex].value;
		    // If single selection, remove the item from the select list
		    if (singleSelect) {
		      selectOptions[selectIndex] = null;
		    }
		    if (sortPick) {
		      var tempText;
		      var tempValue;
		      // Sort the pick list
		      while (pickOLength > 0 && pickOptions[pickOLength].value < pickOptions[pickOLength-1].value) {
		        tempText = pickOptions[pickOLength-1].text;
		        tempValue = pickOptions[pickOLength-1].value;
		        pickOptions[pickOLength-1].text = pickOptions[pickOLength].text;
		        pickOptions[pickOLength-1].value = pickOptions[pickOLength].value;
		        pickOptions[pickOLength].text = tempText;
		        pickOptions[pickOLength].value = tempValue;
		        pickOLength = pickOLength - 1;
		      }
		    }
		    selectIndex = selectList.selectedIndex;
		    pickOLength = pickOptions.length;
		  }
		  //if (act != "all" && selectOptions > 0) {selectOptions[0].selected = true};
		}
		
		// Deletes an item from the picklist
		function delIt(act) {
		  var selectList = document.getElementById("selectList");
		  var selectOptions = selectList.options;
		  var selectOLength = selectOptions.length;
		  var pickList = document.getElementById("pickList");
		  changeMonitor();
		  if (act=="all") {
		  	for (a=0;a < pickList.options.length; a++) {
		  		pickList.options[a].selected=true;
		  	}
		  }
		  var pickIndex = pickList.selectedIndex;
		  var pickOptions = pickList.options;
		  while (pickIndex > -1) {
		    // If single selection, replace the item in the select list
		    if (singleSelect) {
		      selectOptions[selectOLength] = new Option(pickList[pickIndex].text);
		      selectOptions[selectOLength].value = pickList[pickIndex].value;
		    }
		    pickOptions[pickIndex] = null;
		    if (singleSelect && sortSelect) {
		      var tempText;
		      var tempValue;
		      // Re-sort the select list
		      while (selectOLength > 0 && selectOptions[selectOLength].value < selectOptions[selectOLength-1].value) {
		        tempText = selectOptions[selectOLength-1].text;
		        tempValue = selectOptions[selectOLength-1].value;
		        selectOptions[selectOLength-1].text = selectOptions[selectOLength].text;
		        selectOptions[selectOLength-1].value = selectOptions[selectOLength].value;
		        selectOptions[selectOLength].text = tempText;
		        selectOptions[selectOLength].value = tempValue;
		        selectOLength = selectOLength - 1;
		      }
		    }
		    pickIndex = pickList.selectedIndex;
		    selectOLength = selectOptions.length;
		  }
		}
		
		function doGetRecallTweak(el,id,Ramp,name) {
			var axlink = "]]><xsl:value-of select="lightingComponentInformation/@AxLink" /><![CDATA[";
			if ($('pickList').options.length > 0) {
				document.location="PresetConfigurationPage.xml?" + el + "=" + id + "&AxLink=" + axlink + "&label=" + name + "&ramp=" + Ramp;
			}
		}
		
		function grabInputValues() {
			var selectBox = $('selectList')
			var selectOptions = selectBox.getElementsByTagName('option');
			selectOptions = $A(selectOptions);
			selectOptions.each( function(available){
				$('availableOptions').value+=available.value+';';
			});
			
			var pickBox = $('pickList')
			var pickOptions = pickBox.getElementsByTagName('option');
			pickOptions = $A(pickOptions);
			pickOptions.each( function(stored){
				$('storedOptions').value+=stored.value+';';
			});
			window.onbeforeunload=""; // cancels changeMonitor
			document.forms['presetConfigurationPage'].submit();
		}
		
		function enableDisableRecallTweak() {
			if ($('pickList').options.length == 0) {
				$('btn_recall').src = "assets/images/btn_recall_grey.gif";
				$('btn_recall').className="arrow";
				$('btn_tweak').src = "assets/images/btn_tweak_grey.gif";
				$('btn_tweak').className="arrow";
			}
		}
		
		]]>
		</script>
		
		<script src="assets/scripts/lightingComponentValidation.js" type="text/javascript" />
		<script src="assets/scripts/genericValidation.js" type="text/javascript" />
	
		
		<input type="hidden" id="availableOptions" name="availableOptions" />
		<input type="hidden" id="storedOptions" name="storedOptions" />
		<input type="hidden" name="id" value="{lightingComponentInformation/@id}" />
		
		<div class="sectionContainer">
			<div id="s0" class="sectionWell">
				<table class="table-layout" style="padding:3px">
					<tr>
						<td id="selectListContainer"><span class="select-label">Available</span>
							<select NAME="available" ID="selectList" multiple="multiple">
								<xsl:for-each select="lightingComponentInformation/items/value">
									<xsl:if test="@selected = 0">
										<option value="id={@id},AxLink={@AxLink}">
											<xsl:value-of select="@label"/>
											<xsl:if test="@device">
											in <xsl:value-of select="@device"/>
											</xsl:if>
											<xsl:if test="@level">
											, Level <xsl:value-of select="@level"/>
											</xsl:if>
										</option>
									</xsl:if>
								</xsl:for-each>
							</select>
						</td>
						<td align="center" valign="middle">
							<input TYPE="BUTTON" VALUE="&gt;&gt;" ONCLICK="addIt('all');"/>
							<br/><br/>
							<input TYPE="BUTTON" VALUE="&gt;" ONCLICK="addIt();"/>
							<br/><br/>
							<input TYPE="BUTTON" VALUE="&lt;" ONCLICK="delIt();"/>
							<br/><br/>
							<input TYPE="BUTTON" VALUE="&lt;&lt;" ONCLICK="delIt('all');"/>
						</td>
						<td id="pickListContainer"><span class="select-label">Stored</span>
							<select NAME="stored" ID="pickList" multiple="multiple">
								<xsl:for-each select="lightingComponentInformation/items/value">
									<xsl:if test="@selected = 1">
										<option value="id={@id},AxLink={@AxLink}">
											<xsl:value-of select="@label"/>
											<xsl:if test="@device">
											in <xsl:value-of select="@device"/>
											</xsl:if>
											<xsl:if test="@level">
											, Level <xsl:value-of select="@level"/>
											</xsl:if>
										</option>
									</xsl:if>
								</xsl:for-each>
							</select>
						</td>
					</tr>
					<tr>
						<td colspan="3" align="center" style="padding-top:10px;">
							<img src="assets/images/btn_recall.gif" id="btn_recall" width="66" height="19" class="handCursor" onclick='doGetRecallTweak("recall","{lightingComponentInformation/@id}","{lightingComponentInformation/@ramp}","{lightingComponentInformation/@label}");' />&#160;&#160;
							<img src="assets/images/btn_tweak.gif" id="btn_tweak" width="66" height="19" class="handCursor" onchange="changeMonitor();" onclick='doGetRecallTweak("tweak","{lightingComponentInformation/@id}","{lightingComponentInformation/@ramp}","{lightingComponentInformation/@label}");' />
						</td>
					</tr>
				</table>
			</div>	
		</div>
			
		<div id="spacer" style="width:25px;height:10px;"></div>
		
			<script language="JavaScript1.2">
				<![CDATA[
				// R O U N D E D    C O R N E R S
				// on the inside sections using Rico.js
				// see http://openrico.org/rico/demos.page?demo=rico_corner for options
				try {
					Rico.Corner.round('s0', {compact:true});
			 	} catch(e) {}
				
				]]>
			</script>
		
	</xsl:template>

</xsl:stylesheet>