/**
 * Change monitor - Counts the number of changes made on a page
 *
 * This script is just an unobtrusive javascript call when the page loads.
 *
 * @author    AMX Corp - based on example code by 
 *									Copyright (c) 2000 2001 2002 2003 Benjamin Lupu
 *									Released under GNU public license and GNU Lesser General Public License
 */

var changeMonitorCount = 0;
var snapShot;

function changeMonitor() {
  changeMonitorCount++;
  //alert("Change detected!" + changeMonitorCount); 
  return true;
}


// Catch all times we try to leave without applying changes
window.onbeforeunload = function (evt) { 
	var message = 'Changes have not been accepted and will be lost.'; 

	if(changeMonitorCount > 0){
		if (typeof evt == 'undefined') {
			evt = window.event; 
		}
		if (evt) { 
			evt.returnValue = message; 
		} 
		return message; 
	}
} 


//*************************************************** 
//	Cookie Handling
//*************************************************** 

function setCookie(name, value, minutes)
{
	var expDate = new Date();

	expDate.setTime(expDate.getTime() + (1000*60*minutes));
	document.cookie = escape(name) + "=" + escape(value) + ";" + "path=/; expires=" + expDate.toGMTString();
}

function deleteCookie(name)
{
	var expDate = new Date();

	expDate.setTime(0);
	document.cookie = escape(name) + "=;" + "path=/; expires=" + expDate.toGMTString();
}

function getCookie(name)
{
	var cookieName = name + "=";
	var cookies = document.cookie;
	var strBegin;
	var strEnd;

	if(cookies.length > 0){
		strBegin = cookies.indexOf(cookieName);
		if(strBegin > -1) {
			strBegin += cookieName.length;
			strEnd = cookies.indexOf(";", strBegin);
			if(strEnd == -1) {
				// End not found, so end of cookie string
				strEnd = cookies.length;
			}
			return unescape(cookies.substring(strBegin, strEnd));
		}  // Cookie detected
	} // Cookie string length
	return null;
}

