/**
 * Form validation/control.
 *
 * This code implements unobtrusivie javascript and stores key-value pairs
 * in associative-arrays (hashes).  There are two hashes (validationSet and
 * formValidation) which do these basic functions:
 *      -Form validation (using regExp)
 *      -Form UI control (enable/disable fields)
 *      -Form submission (allows cancelling)
 *      -Form reset
 *
 * @author    AMX Corp
 * @requires  genericValidation
 */


/**
 * This hash (formValidation) contains functions for form validation.
 * All javascript is assigned to the DHTML unobtrusively.
 *      -Form UI control (enable/disable fields)
 *      -Form submission (allows cancelling)
 *      -Form reset
 */
var formValidation = {

    /**
     * Utility function to add an event listener.
     */
    addEvent: function(elm, evType, fn, useCapture) {
      // cross-browser event handling for IE5+, NS6 and Mozilla
      // By Scott Andrew
      if (elm.addEventListener) {
        elm.addEventListener(evType, fn, useCapture);
        return true;
      } else if (elm.attachEvent) {
        var r = elm.attachEvent('on' + evType, fn);
        return r;
      } else {
        elm['on' + evType] = fn;
      }
    },


    /**
     * Utility function for unobtrusive javascript assignments.
     * This utility is called after the document loads.
     */
    addListeners: function(e) {
      var aForm = $('formAMX');
      
      formValidation.addEvent(aForm, 'submit', formValidation.checkSubmit, false);
      
      var btn = document.getElementById('btn_cancel');
      formValidation.addEvent(btn, 'blur', formValidation.checkSubmit, false);

	  /*var anElement;
		for(var i=0;i<aForm.length;i++) {
			if(aForm.elements[i].name != null)
			{
				if(aForm.elements[i].name.length > 0)
				{
					anElement = aForm.elements[i];
					formValidation.addEvent(anElement, 'change', changeMonitor, false);
				}
			}
		}*/ // end of for loop

      formValidation.refreshUI();
    },

    /**
     * UI function to refresh form fields.
     * Use this function to control form fields based upon other
     * form field values.
     */
    refreshUI: function() {
    },

    /**
     * Utility function for form submission.
     * @return Boolean value to allow/disallow form submission.
     * @type   Boolean
     */
    checkSubmit: function() {
      return true;
    }
};

formValidation.addEvent(window, 'load', formValidation.addListeners, false);